Package com.macrofocus.high_d.treemap

# Class HighDTreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column>

java.lang.Object
com.macrofocus.high_d.treemap.HighDTreeMapField<N,Row,Column>

All Implemented Interfaces:
  `com.treemap.TreeMapField<N,Column>`

public class HighDTreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column> extends Object implements com.treemap.TreeMapField<N,Column>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighDTreeMapField(com.macrofocus.molap.series.Series<Row,?> series)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Column`
  `getIndex()`
  `String`
  `getName()`
  `Class`
  `getType()`
  `Object`
  `getValue(N node)`
  `int`
  `hashCode()`
  `boolean`
  `isEveryValueUnique()`
  `boolean`
  `isValid()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HighDTreeMapField

    public HighDTreeMapField(com.macrofocus.molap.series.Series<Row,?> series)

- ## Method Details

  - ### getType

    public Class getType()
    Specified by:
      `getType` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### getValue

    public Object getValue(N node)
    Specified by:
      `getValue` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### isValid

    public boolean isValid()
    Specified by:
      `isValid` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### isEveryValueUnique

    public boolean isEveryValueUnique()
    Specified by:
      `isEveryValueUnique` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### getIndex

    public Column getIndex()
    Specified by:
      `getIndex` in interface `com.treemap.TreeMapField<N extends com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>,Row>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`